ltsp-chroot(8)

NAME
ltsp-chroot - Chroots into a specific LTSP thin client chroot

SYNOPSIS

ltsp-chroot <options>

DESCRIPTION

ltsp-chroot chroots into a specified LTSP chroot. Optional arguments can be provided to customize the chroot location as well as extra mounts. If present, default arguments will be read from the configuration file /etc/ltsp/ltsp-chroot.conf, and overwritten with used command line options.

OPTIONS

-a --arch arch
    Sets the architecture of the target chroot. Defaults vary by distribution.

-b --base dir
    Sets the path of the target chroot. Defaults to /opt/ltsp/.

-c --mount-package-cache
    If set, mounts the server package directories to the chroot previous to chrooting. Settings vary by distribution.

-d --mount-dev
    If set, mounts the server dev and devpts directories to the chroot previous to chrooting.

-p --mount-proc
    If set, mounts the server proc to the chroot previous to chrooting.

-m --mount-all
    If set, mounts the proc, dev and package directories to the chroot before chrooting.

-p --copy-resolv-conf
    If set, copies the server resolv.conf to the chroot previous to chrooting.

-h --help
    Displays the ltsp-chroot help message.

SEE ALSO

ltsp-build-client(8),

AVAILABILITY

ltsp-chroot is part of ltsp package and the latest versions are available in source form from https://launchpad.net/products/ltsp.

MAN PAGE AUTHOR

Wim Muskee <wimmmuskee@gmail.com>